OROoro docs
Public

Get suite problems

Get the list of problems for a specific suite.

GET/v1/public/suites/{suite_id}/problems

Path Parameters

suite_id*integer

Suite ID/version

Query Parameters

include_embeddings?boolean

Include precomputed reward_title_embeddings in metadata. Off by default to keep responses small (~50 KB vs ~1.5 MB).

Defaultfalse

Response Body

application/json

application/json

application/json

curl -X GET "https://loading/v1/public/suites/0/problems"
{
  "suite": {
    "suite_id": 0,
    "suite_version": 0,
    "is_active": true
  },
  "problems": [
    {
      "problem_id": "9edf0a7c-64c3-4960-a497-d801a548ec4c",
      "suite_id": 0,
      "metadata": {}
    }
  ]
}
{
  "detail": "string",
  "error_code": "SUITE_NOT_FOUND"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}